package cn.com.poc.equity.dto;	


public class BizMemberEquityTransactionHistoryDto {

    private static final long serialVersionUID = 1L;
	/** id
    *主键id
    */ 
    private java.lang.Long id;

    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
	/** transaction_sn
    *变更流水号
    */ 
    private java.lang.String transactionSn;

    public java.lang.String getTransactionSn(){
        return this.transactionSn;
    }
    
    public void setTransactionSn(java.lang.String transactionSn){
        this.transactionSn = transactionSn;
    }
	/** member_id
    *目标用户id
    */ 
    private java.lang.Long memberId;

    public java.lang.Long getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
    }
	/** original_equity_level
    *原有权益等级
    */ 
    private java.lang.String originalEquityLevel;

    public java.lang.String getOriginalEquityLevel(){
        return this.originalEquityLevel;
    }
    
    public void setOriginalEquityLevel(java.lang.String originalEquityLevel){
        this.originalEquityLevel = originalEquityLevel;
    }
	/** modify_equity_level
    *更改后权益等级
    */ 
    private java.lang.String modifyEquityLevel;

    public java.lang.String getModifyEquityLevel(){
        return this.modifyEquityLevel;
    }
    
    public void setModifyEquityLevel(java.lang.String modifyEquityLevel){
        this.modifyEquityLevel = modifyEquityLevel;
    }
	/** modify_event
    *变更事件  expired-过期  top_up-充值
    */ 
    private java.lang.String modifyEvent;

    public java.lang.String getModifyEvent(){
        return this.modifyEvent;
    }
    
    public void setModifyEvent(java.lang.String modifyEvent){
        this.modifyEvent = modifyEvent;
    }
	/** modify_event_info
    *变更事件详情
    */ 
    private java.lang.String modifyEventInfo;

    public java.lang.String getModifyEventInfo(){
        return this.modifyEventInfo;
    }
    
    public void setModifyEventInfo(java.lang.String modifyEventInfo){
        this.modifyEventInfo = modifyEventInfo;
    }
	/** target_equity_id
    *目标用户权益id
    */ 
    private java.lang.Long targetEquityId;

    public java.lang.Long getTargetEquityId(){
        return this.targetEquityId;
    }
    
    public void setTargetEquityId(java.lang.Long targetEquityId){
        this.targetEquityId = targetEquityId;
    }
	/** is_deleted
    *是否删除 Y 是  N 否
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
}